org.apache.ignite.indexing

## Class IndexingQueryEngineConfiguration

- java.lang.Object
- - org.apache.ignite.indexing.IndexingQueryEngineConfiguration

- All Implemented Interfaces:
    QueryEngineConfiguration, org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx

      public class IndexingQueryEngineConfiguration
      extends Object
      implements org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx

  Query engine configuration for indexing-backed query engine.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ENGINE_NAME` Query engine name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexingQueryEngineConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends org.apache.ignite.internal.processors.query.QueryEngine>` | `engineClass()` Query engine class.
    `String` | `engineName()` Query engine name.
    `boolean` | `isDefault()` Is this query engine should be used by default.
    `IndexingQueryEngineConfiguration` | `setDefault(boolean isDflt)` Sets whether this query engine should be used by default.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENGINE_NAME

          public static final String ENGINE_NAME

      Query engine name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IndexingQueryEngineConfiguration

          public IndexingQueryEngineConfiguration()

  - ### Method Detail

    - #### engineName

          public String engineName()

      Query engine name.
      Specified by:
        `engineName` in interface `org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx`

    - #### engineClass

          public Class<? extends org.apache.ignite.internal.processors.query.QueryEngine> engineClass()

      Query engine class.
      Specified by:
        `engineClass` in interface `org.apache.ignite.internal.processors.query.QueryEngineConfigurationEx`

    - #### isDefault

          public boolean isDefault()

      Is this query engine should be used by default.
      Specified by:
        `isDefault` in interface `QueryEngineConfiguration`
      Returns:
        `True` if this query engine is default.

    - #### setDefault

          public IndexingQueryEngineConfiguration setDefault(boolean isDflt)

      Sets whether this query engine should be used by default.

      There can be only one query engine configuration with the default flag.

      If there is no configuration with the default flag, the query engine provided by the ignite-indexing module will be used by default (if configured). If there is no configuration for the ignite-indexing module engine exists, the first engine from the query engines configuration will be used.

      Specified by:
        `setDefault` in interface `QueryEngineConfiguration`
      Parameters:
        `isDflt` - `True` if this query engine should be used by default.
      Returns:
        `this` for chaining.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023